Bug 1292684 - Should install iptables-services package when installing containerized env on rhel72
Should install iptables-services package when installing containerized env on...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 23:05 EST by Ma xiaoqiang
Modified: 2016-07-03 20:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 09:53:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-12-17 23:05:29 EST
Summary
Should install iptables-services package when installing containerized env on rhel72

Installer
S:M
P:M

Description of problem:
Should install iptables-services package when installing containerized env on rhel72

Version-Release number of selected component (if applicable):
https://github.com/sdodson/openshift-ansible containers

How reproducible:
Always


Steps to Reproduce:

1. Install a containerized env on minimal rhel72
vim hosts_test
containerized=true
<--snip-->




Actual results:
TASK: [os_firewall | Install iptables packages] ******************************* 
skipping: [10.66.79.125] => (item=iptables)
skipping: [10.66.79.143] => (item=iptables)
skipping: [10.66.79.125] => (item=iptables-services)
skipping: [10.66.79.143] => (item=iptables-services)
<--snip-->

TASK: [os_firewall | Start and enable iptables service] *********************** 
failed: [10.66.79.125] => {"failed": true}
msg: Error when trying to enable iptables: rc=1 Failed to execute operation: Access denied

failed: [10.66.79.143] => {"failed": true}
msg: Error when trying to enable iptables: rc=1 Failed to execute operation: Access denied


FATAL: all hosts have already failed -- aborting

Skip installing iptables-services package

Expected results:
Install iptables-services package

Additional info:
Comment 1 Scott Dodson 2015-12-22 16:12:15 EST
Proposed fix in https://github.com/openshift/openshift-ansible/pull/1101

You can test it by running the following

git pull https://github.com/sdodson/openshift-ansible bz1292684
Comment 2 Ma xiaoqiang 2015-12-22 19:48:26 EST
Install env on rhel72 successfully. Move it to VERIFIED
Comment 3 Scott Dodson 2016-01-04 09:53:46 EST
Fix has been merged into openshift-ansible.

Note You need to log in before you can comment on or make changes to this bug.